Subject: [rohc] Query regarding the LSB encoding in TCP Profile

From: Clark Peng (彭冠仁) <[email-masked]>
Date: Thu, 23 May 2013 02:07:34 +0000

Hi all,

Please clarify me about the inconsistency LSB encoding description in seq_7, rnd_1 and rnd_8.

In RFC 6846, page 43, under TCP Sequence Number, it specifies offset_param p = 2^(k-1)-1.”
In RFC 6846, page 44, under TCP Acknowledgment Number, it specifies offset_param p = 2^(k-2)-1.”

However, in the formal notation Section 8.2 in RFC 6846,

1.      For seq_7, ack_number    =:= lsb(16, 32767)   =>   2^(16-2)-1=16383 != 32767

2.      For rnd_1, seq_number    =:= lsb(18, 65535)   =>   2^(18-1)-1=131071 != 65535

3.      For rnd_8, seq_number    =:= lsb(16, 65535)   =>   2^(16-1)-1=32767 != 65535

I’ve read the email discussion about this and the conclusion seems to align the formal notation in 8.2.

Nevertheless, if we inspect the seq_number in rnd_8,
seq_number    =:= lsb(16, 65535).

The notation specifies the interpretation interval for seq_number is 2^16=65536 with offset_param=65535.
To my understanding, it means seq_number is NEVER interpreted as increasing!!
Is this desirable property for rnd_8?
How come similar property is not shown in another Format 8 packet type seq_8?

Please clarify me and thanks for your support.

Best Regards,
Clark Peng